Gentoo Archives: gentoo-dev

From: "Michał Górny" <mgorny@g.o>
To: gentoo-dev@l.g.o
Cc: "Michał Górny" <mgorny@g.o>
Subject: [gentoo-dev] [PATCH autotools-utils] Fail if myeconfargs is not an array.
Date: Wed, 14 Sep 2011 18:42:34
Message-Id: 1316025834-19101-1-git-send-email-mgorny@gentoo.org
---
 eclass/autotools-utils.eclass |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

diff --git a/eclass/autotools-utils.eclass b/eclass/autotools-utils.eclass
index 9217d00..72e0b85 100644
--- a/eclass/autotools-utils.eclass
+++ b/eclass/autotools-utils.eclass
@@ -225,6 +225,9 @@ autotools-utils_src_prepare() {
 autotools-utils_src_configure() {
 	debug-print-function ${FUNCNAME} "$@"
 
+	[[ -z ${myeconfargs+1} || $(declare -p myeconfargs) == 'declare -a'* ]] \
+		|| die 'autotools-utils.eclass: myeconfargs has to be an array.'
+
 	# Common args
 	local econfargs=()
 
-- 
1.7.6.1